GZIP(1)

BEZEICHNUNG
gzip - komprimiert Dateien

Diese Handbuchseite ist eventuell veraltet. Im Zweifelsfall ziehen Sie die englischsprachige Handbuchseite zu Rate, indem Sie

    man -LC 1 gzip

eingeben.

SYNTAX
gzip [-cdfhLrtvV19] [Datei...]

BESCHREIBUNG
gzip komprimiert Dateien mit dem LZ77 Lempel-Ziv Algorithmus. gzip erzielt erheblich bessere Kompressionsraten als das mit dem LZW Algorithmus arbeitende compress Programm. Weil es sich ansonsten sehr ähnlich verhält, ist abzusehen dass es compress als Standardpacker im Bereich der freien Software verdrängen wird. Mit gzip können auch Dateien ausgepackt werden, die mit compress gepackt wurden.

gzip ist kein Archivpacker wie lharc, arj oder pkzip.

gzip komprimiert einzelne Dateien, unabhängig davon ob die resultierende Datei tatsächlich kleiner ist, und ersetzt die Urdatei durch die komprimierte, indem es an den Dateinamen die Endung .gz anhängt. Dabei bleiben die Zugriffsrechte und das Erstellungsdatum der Urdatei erhalten.

Wenn der Dateiname durch Anhängen der Endung unzulässig lang würde, schneidet gzip automatisch die erforderliche Anzahl Zeichen vom Dateinamen ab, speichert aber den vollständigen Namen zur Restaurierung beim Auspacken in der Datei ab.

Wenn gzip ohne Dateinamen aufgerufen wird, liest es von der Standardeingabe und schreibt auf die Standardausgabe.

Wie bei compress kann auch gzip auf andere Namen gelinkt werden um bestimmte Aufgaben zu erfüllen.

Unter dem namen gunzip arbeitet es wie gzip-d, packt also komprimierte Dateien aus. Dabei kann es auch die von compress (ab Version 3.0) gepackten Dateien bearbeiten. gunzip erwartet die Endung .z oder .Z an dem Dateinamen. Nach dem Auspacken bleiben die Zugriffsrechte und das Erstellungsdatum der Datei erhalten.

zcat schreibt die entkomprimierte Datei auf die Standardausgabe und lässt die komprimierte Datei unberührt.

OPTIONEN

-c  schreibt die (ent)komprimierte Datei auf die Standardausgabe, anstatt die Datei zu ersetzen

-d  (decompress) dekomprimiert die Datei

-f  (force) ersetzt bestehende Dateien mit Endung .z; normalerweise fragt gzip vor dem Überschreiben solcher Dateien nach

-h  (help) gibt eine Kurzhilfe zum Programm aus

-L  (license) gibt eine Kurzfassung des Lizenztextes aus

-r  (recursive) packt alle Dateien in den angegebenen Unterverzeichnissen

-t  (test) prüft die Integrität der angegebenen Datei

-v  (verbose) gibt den Kompressionsfaktor für jede Datei aus

-V  (Version) gibt die Versionsnummer des Programms aus

-Ziffer
    bestimmt mit einer Ziffer von 1 bis 9 die Kompressionstiefe; 1 bedeutet schnell und schlecht komprimiert, 9 bedeutet langsam und optimal komprimiert

SIEHE AUCH
compress(1), tar(1) und das LunetIX Linuxhandbuch

AUTOR
Jean-Loup Gailly